unit uHaupt;
{ (C) H.-J. Dreher, 2016, Informatik mit Delphi,      { Turtle-Standardformular}
interface

uses
  Winapi.Windows, Winapi.Messages,
  System.SysUtils, System.Variants, System.Classes,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.ExtCtrls, Vcl.StdCtrls,
  Vcl.Graphics, Turtle;

type
  TFTurtleProjekt = class(TForm)
    Panel1: TPanel;
    btnZeichnen: TButton;
    btnDrucken: TButton;
    PrinterSetupDialog1: TPrinterSetupDialog;
    btnClipBoard: TButton;
    Turtle1: TTurtle;
    btnWMF: TButton;
    procedure btnZeichnenClick(Sender: TObject);
    procedure btnDruckenClick(Sender: TObject);
    procedure btnClipBoardClick(Sender: TObject);
    procedure btnWMFClick(Sender: TObject);
  private
    { Private-Deklarationen }
    procedure Aufgabe;
  public
    { Public-Deklarationen }
  end;
var
  FTurtleProjekt: TFTurtleProjekt;

implementation
{$R *.DFM}
//  ================= ab hier wird deine Lsung implementiert!

procedure TFTurtleProjekt.Aufgabe;
begin { of Hauptprogramm ------------------------------------------------- }





end {Aufgabe};

//  =================== Ende deiner Aufgabe --------------------------------}


{ ---------  der nachfolgende Source-Code sollte nicht verndert werden ----}

procedure TFTurtleProjekt.btnZeichnenClick(Sender: TObject);
begin
  with Turtle1 do begin
    clear;
    Aufgabe { Grafik-Prozedur-Aufruf };
  end;
end;

procedure TFTurtleProjekt.btnDruckenClick(Sender: TObject);
begin
  with Turtle1 do begin
    if PrinterSetupDialog1.Execute<>true then exit;
    clear;
    Device:=tdprinter;
    Aufgabe { Grafik-Prozedur-Aufruf };
    Device:=tdscreen;
  end;
end;

procedure TFTurtleProjekt.btnClipBoardClick(Sender: TObject);
begin
  with Turtle1 do begin
    clear;
    Device:=tdClipb;
    Aufgabe { Grafik-Prozedur-Aufruf };
    Device:=tdscreen;
  end;
end;

procedure TFTurtleProjekt.btnWMFClick(Sender: TObject);
begin
  with Turtle1 do begin
    clear;
    Device:=tdWMF;
    Aufgabe { Grafik-Prozedur-Aufruf };
    Device:=tdscreen;
  end;
end;

end.
